### Method

# Tsparql Notifier signal_subscribe

#### Declaration [src]

    guint
    tracker_notifier_signal_subscribe (
      TrackerNotifier* notifier,
      GDBusConnection* connection,
      const gchar* service,
      const gchar* object_path,
      const gchar* graph
    )

#### Description [src]

Listens to notification events from a remote DBus SPARQL endpoint.

If `connection` refers to a message bus (system/session), `service` must refer to a D-Bus name (either unique or well-known). If `connection` is a non-message bus (e.g. a peer-to-peer D-Bus connection) the `service` argument may be `NULL`.

If the `object_path` argument is `NULL`, the default `/org/freedesktop/Tracker3/Endpoint` path will be used. If `graph` is `NULL`, all graphs will be listened for.

The signal subscription can be removed with `tracker_notifier_signal_unsubscribe()`.

Note that this call is not necessary to receive notifications on a connection obtained through `tracker_sparql_connection_bus_new()`, only to listen to update notifications from additional DBus endpoints.

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the method.

`service`

  Type: `const gchar*`

  DBus service name to subscribe to events for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  DBus object path to subscribe to events for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`graph`

  Type: `const gchar*`

  Graph to listen events for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

An ID for this subscription.